<template>
  <div>
    
  </div>
</template>

<script>
// import { Terminal } from 'xterm'
// import pty from 'node-pty'
// import os from 'os'

export default {
  // components() {
  //   vueTerm: () => {
  //     return process.client
  //       ? import('vue-term')
  //       : Promise.resolve({ render: (h: any) => h('div') })
  //     }
  // },
  mounted() {
    // this.$refs.term.$stream.pipe(this.$refs.term.$stream)

    // Initialize node-pty with an appropriate shell
    // const shell = process.env[os.platform() === 'win32' ? 'COMSPEC' : 'SHELL'];
    // const ptyProcess = pty.spawn(shell, [], {
    //   name: 'xterm-color',
    //   cols: 80,
    //   rows: 30,
    //   cwd: process.cwd(),
    //   env: process.env
    // });

    // Initialize xterm.js and attach it to the DOM
    // var Terminal = require('xterm').Terminal;
    // const xterm = new Terminal();
    // xterm.open(this.$refs.xterm);

    // Setup communication between xterm.js and node-pty
    // xterm.onData(data => ptyProcess.write(data));
    // ptyProcess.on('data', (data) => {
    //   xterm.write(data);
    // });
  }
}
</script>

<style lang="less">
// @import "xterm/css/xterm.css";
</style>